from typing import List


class SerialByteProvider:
    def __init__(self, port_name: str, baud_date: int): ...

    def read_byte(self) -> int: ...
    def read_bytes(self, n: int) -> List[int]: ...
    def write_byte(self, data: int): ...
    def write_bytes(self, data: bytearray): ...
    def consume_overflow_status(self) -> bool: ...
    def in_waiting(self) -> int: ...

class BufferedSerialByteProvider:
    def __init__(self, capacity: int, port_name: str, baud_date: int): ...

    def read_byte(self) -> int: ...
    def read_bytes(self, n: int) -> List[int]: ...
    def write_byte(self, data: int): ...
    def write_bytes(self, data: bytearray): ...
    def consume_overflow_status(self) -> bool: ...
    def in_waiting(self) -> int: ...
